import { Observable } from "@nativescript/core";
import { getActivityRecognizer, Resolution, } from "./activity-recognition";
import { getGeolocationProvider } from "./geolocation";
import { getWifiScanProvider } from "./wifi";
import { getBleScanProvider } from "./internal/ble";
const recognizerTypes = [Resolution.LOW, Resolution.MEDIUM];
export class Common extends Observable {
    async init() {
        await Promise.all(recognizerTypes.map((recognizerType) => getActivityRecognizer(recognizerType).setup()));
    }
    getActivityRecognizer(resolution) {
        return getActivityRecognizer(resolution);
    }
    get geolocationProvider() {
        return getGeolocationProvider();
    }
    get wifiScanProvider() {
        return getWifiScanProvider();
    }
    get bleScanProvider() {
        return getBleScanProvider();
    }
}
//# sourceMappingURL=context-apis.common.js.map