import { BleScanAdapter, BleScanMode } from "./common";
import { Observable } from "rxjs";
import { BleScanResult } from "./scan-result";
export declare class BleScanProvider {
    private adapter;
    constructor(adapter: BleScanAdapter);
    isReady(): Promise<boolean>;
    prepare(): Promise<void>;
    acquireBleScan(options?: AcquireOptions): Promise<BleScanResult>;
    bleScanStream(options?: StreamOptions): Observable<BleScanResult>;
}
export interface AcquireOptions extends ScanningOptions {
    scanTime?: number;
}
export interface StreamOptions extends ScanningOptions {
    reportInterval?: number;
}
export interface ScanningOptions {
    scanMode?: BleScanMode;
    iBeaconUuids?: Array<string>;
}
